> This page is for version Experimental.
> For other versions, use one of these documentation indexes:
> - 2026-07 (default): https://developer-stage.shipbob.dev/2026-07/llms.txt
> - 2026-01: https://developer-stage.shipbob.dev/2026-01/llms.txt
> - 2025-07: https://developer-stage.shipbob.dev/2025-07/llms.txt
> - v2.0: https://developer-stage.shipbob.dev/v2.0/llms.txt
> - v1.0: https://developer-stage.shipbob.dev/v1.0/llms.txt
> - Experimental: https://developer-stage.shipbob.dev/experimental/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-stage.shipbob.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server.

# Get Purchase Order Warehouse Receiving Orders


GET https://sandbox-api.shipbob.com/Experimental/purchase-orders/{id}/wros

Returns the merchant's warehouse receiving orders with at least one line attributed to the purchase order.


Reference: https://developer-stage.shipbob.dev/experimental/api/receiving/get-purchase-order-warehouse-receiving-orders

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Request

### Path parameters

- `id` (long, required) — Id of the purchase order

## Response

### 200

OK

- `list of Receiving.V3.LinkedWroViewModel`

## Errors

### 401 Unauthorized Error

Authorization missing or invalid

- `any`

### 403 Forbidden Error

The provided credentials are not authorized to access this resource

- `any`

### 404 Not Found Error

Not Found

- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Types

### Receiving.V3.LinkedWroViewModel

A warehouse receiving order with at least one line attributed to the purchase order.

- `final_destination_fulfillment_center_id` (integer, optional, nullable) — Final destination fulfillment center id, when the order is received at a hub.
- `fulfillment_center_id` (integer, optional) — Receiving fulfillment center id.
- `fulfillment_center_name` (string, optional, nullable) — Receiving fulfillment center name.
- `status` (enum, optional)
  - Allowed values: `Awaiting`, `Processing`, `Completed`, `Cancelled`, `Incomplete`, `Arrived`, `PartiallyArrived`, `PartiallyArrivedAtHub`, `ArrivedAtHub`, `ProcessingAtHub`, `InternalTransfer`
- `wro_id` (integer, optional) — Warehouse receiving order id.

## Examples

**Response**

```json
[
  {
    "final_destination_fulfillment_center_id": 1,
    "fulfillment_center_id": 0,
    "fulfillment_center_name": "string",
    "status": "Awaiting",
    "wro_id": 0
  }
]
```

**SDK Code**

```python default
import requests

url = "https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/Experimental/purchase-orders/1/wros")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```